package com.ejie.ab79.model.REST.servicioWeb;

import java.math.BigDecimal;
import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public class PreguntaRespuestaRelConFac extends Estado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idPreguntaExpediente;
	private Integer orden;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Integer idTipoPregunta;
	private Date fechaFactura;
	private String numeroFactura;
	private String proveedor;
	private BigDecimal importe;
	private BigDecimal importeAdmitido;
	private String observacionesInsCastellano;
	private String observacionesInsEuskera;
	private String concepto;
	private String respuesta;
	private String notasInsCastellano;
	private String notasInsEuskera;

	public PreguntaRespuestaRelConFac() {
	}

	public Integer getIdPreguntaExpediente() {
		return idPreguntaExpediente;
	}

	public void setIdPreguntaExpediente(Integer idPreguntaExpediente) {
		this.idPreguntaExpediente = idPreguntaExpediente;
	}

	public Integer getOrden() {
		return orden;
	}

	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	public String getDescripcionCastellano() {
		return descripcionCastellano;
	}

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	public String getDescripcionEuskera() {
		return descripcionEuskera;
	}

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	public Integer getIdTipoPregunta() {
		return idTipoPregunta;
	}

	public void setIdTipoPregunta(Integer idTipoPregunta) {
		this.idTipoPregunta = idTipoPregunta;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaFactura() {
		return fechaFactura;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaFactura(Date fechaFactura) {
		this.fechaFactura = fechaFactura;
	}

	public String getNumeroFactura() {
		return numeroFactura;
	}

	public void setNumeroFactura(String numeroFactura) {
		this.numeroFactura = numeroFactura;
	}

	public String getProveedor() {
		return proveedor;
	}

	public void setProveedor(String proveedor) {
		this.proveedor = proveedor;
	}

	public BigDecimal getImporte() {
		return importe;
	}

	public void setImporte(BigDecimal importe) {
		this.importe = importe;
	}

	public BigDecimal getImporteAdmitido() {
		return importeAdmitido;
	}

	public void setImporteAdmitido(BigDecimal importeAdmitido) {
		this.importeAdmitido = importeAdmitido;
	}

	public String getObservacionesInsCastellano() {
		return observacionesInsCastellano;
	}

	public void setObservacionesInsCastellano(String observacionesInsCastellano) {
		this.observacionesInsCastellano = observacionesInsCastellano;
	}

	public String getObservacionesInsEuskera() {
		return observacionesInsEuskera;
	}

	public void setObservacionesInsEuskera(String observacionesInsEuskera) {
		this.observacionesInsEuskera = observacionesInsEuskera;
	}

	public String getConcepto() {
		return concepto;
	}

	public void setConcepto(String concepto) {
		this.concepto = concepto;
	}

	public String getRespuesta() {
		return respuesta;
	}

	public void setRespuesta(String respuesta) {
		this.respuesta = respuesta;
	}

	public String getNotasInsCastellano() {
		return notasInsCastellano;
	}

	public void setNotasInsCastellano(String notasInsCastellano) {
		this.notasInsCastellano = notasInsCastellano;
	}

	public String getNotasInsEuskera() {
		return notasInsEuskera;
	}

	public void setNotasInsEuskera(String notasInsEuskera) {
		this.notasInsEuskera = notasInsEuskera;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idPreguntaExpediente: ").append(this.idPreguntaExpediente).append(" ]");
		result.append(" [ orden: ").append(this.orden).append(" ]");
		result.append(" [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(" [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(" [ idTipoPregunta: ").append(this.idTipoPregunta).append(" ]");
		result.append(" [ fechaFactura: ").append(this.fechaFactura).append(" ]");
		result.append(" [ numeroFactura: ").append(this.numeroFactura).append(" ]");
		result.append(" [ proveedor: ").append(this.proveedor).append(" ]");
		result.append(" [ importe: ").append(this.importe).append(" ]");
		result.append(" [ importeAdmitido: ").append(this.importeAdmitido).append(" ]");
		result.append(" [ observacionesInsCastellano: ").append(this.observacionesInsCastellano).append(" ]");
		result.append(" [ observacionesInsEuskera: ").append(this.observacionesInsEuskera).append(" ]");
		result.append(" [ concepto: ").append(this.concepto).append(" ]");
		result.append(" [ respuesta: ").append(this.respuesta).append(" ]");
		result.append(" [ notasInsCastellano: ").append(this.notasInsCastellano).append(" ]");
		result.append(" [ notasInsEuskera: ").append(this.notasInsEuskera).append(" ]");
		result.append("}");
		return result.toString();
	}
}
